Bug 1755491 - RFE: switch to pcre2
Summary: RFE: switch to pcre2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grep
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Minimization
TreeView+ depends on / blocked
 
Reported: 2019-09-25 15:28 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2022-09-05 19:23 UTC (History)
7 users (show)

Fixed In Version: grep-3.8-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-05 19:23:08 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2019-09-25 15:28:04 UTC
Description of problem:
grep is one of the few packages depending on pcre in the minimal install. It would be great to switch over to pcre2 to minimize the required dependency set.

See https://pagure.io/minimization/issue/5 for some additional discussion.

Version-Release number of selected component (if applicable):
grep-0:3.3-3.fc31.x86_64

Comment 1 Petr Pisar 2021-03-15 11:50:47 UTC
This is a kindly hint that grep-0:3.6-2.fc34 still uses PCRE library which has been superseded with PCRE2 project by PCRE upstream in 2015. PCRE upstream considers PCRE obsolete now and does not devote any resources to PCRE except of critical bugs. Please consider porting grep from PCRE to PCRE2.

Comment 2 Jaroslav Škarvada 2021-03-16 12:46:16 UTC
Problem is that it's not yet supported by grep upstream. I will forward it upstream.

Comment 3 Jaroslav Škarvada 2021-03-16 13:16:13 UTC
(In reply to Jaroslav Škarvada from comment #2)
> Problem is that it's not yet supported by grep upstream. I will forward it
> upstream.

I forwarded the RFE to grep upstream.

Comment 5 Fedora Update System 2022-09-05 19:14:36 UTC
FEDORA-2022-24a3c026eb has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-24a3c026eb

Comment 6 Fedora Update System 2022-09-05 19:23:08 UTC
FEDORA-2022-24a3c026eb has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.